com.sun.jna.platform.win32

## Class WinUser.MOUSEINPUT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinUser.MOUSEINPUT

Direct Known Subclasses:
  WinUser.MOUSEINPUT.ByReference

Enclosing interface:
  WinUser

    @Structure.FieldOrder(value={"dx","dy","mouseData","dwFlags","time","dwExtraInfo"})
    public static class WinUser.MOUSEINPUT
    extends Structure

Contains information about a simulated mouse event.

### Nested Class Summary

Nested Classes
`static class` `WinUser.MOUSEINPUT.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`BaseTSD.ULONG_PTR` `dwExtraInfo`
`WinDef.DWORD` `dwFlags`
`WinDef.LONG` `dx`
`WinDef.LONG` `dy`
`WinDef.DWORD` `mouseData`
`WinDef.DWORD` `time`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`MOUSEINPUT()`
`MOUSEINPUT(Pointer memory)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dx

    public WinDef.LONG dx

#### dy

    public WinDef.LONG dy

#### mouseData

    public WinDef.DWORD mouseData

#### dwFlags

    public WinDef.DWORD dwFlags

#### time

    public WinDef.DWORD time

#### dwExtraInfo

    public BaseTSD.ULONG_PTR dwExtraInfo

### Constructor Detail

#### MOUSEINPUT

    public MOUSEINPUT()

#### MOUSEINPUT

    public MOUSEINPUT(Pointer memory)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.